Package org.kapott.hbci.sepa.jaxb.camt_052_001_08

# Class Party40Choice

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_08.Party40Choice

public class Party40Choice extends Object

Java class for Party40Choice complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="Party40Choice">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element name="Pty" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}PartyIdentification135"/>
             <element name="Agt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}BranchAndFinancialInstitutionIdentification6"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected BranchAndFinancialInstitutionIdentification6`
`agt`
`protected PartyIdentification135`
`pty`

## Constructor Summary

Constructors
Constructor
Description
`Party40Choice()`

## Method Summary

Modifier and Type
Method
Description
`BranchAndFinancialInstitutionIdentification6`
`getAgt()`
Gets the value of the agt property.
`PartyIdentification135`
`getPty()`
Gets the value of the pty property.
`void`
`setAgt(BranchAndFinancialInstitutionIdentification6 value)`
Sets the value of the agt property.
`void`
`setPty(PartyIdentification135 value)`
Sets the value of the pty property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### pty

protected PartyIdentification135 pty

### agt

protected BranchAndFinancialInstitutionIdentification6 agt

## Constructor Details

### Party40Choice

public Party40Choice()

## Method Details

### getPty

public PartyIdentification135 getPty()
Gets the value of the pty property.

Returns:
  possible object is `PartyIdentification135`

### setPty

public void setPty(PartyIdentification135 value)
Sets the value of the pty property.

Parameters:
  `value` - allowed object is `PartyIdentification135`

### getAgt

public BranchAndFinancialInstitutionIdentification6 getAgt()
Gets the value of the agt property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentification6`

### setAgt

public void setAgt(BranchAndFinancialInstitutionIdentification6 value)
Sets the value of the agt property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentification6`